Activity
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
GET | |
POST | |
GET |
List all org organizations advanced activity logs
Organization-wide view of activity logs across every project in the organization.
Mounted at /api/organizations/<organization_id>/advanced_activity_logs/. Restricted to organization admins and owners.
Required API key scopes
activity_log:readQuery parameters
- activitiesarrayDefault:
- clientsarrayDefault:
- detail_filtersstring
- end_datestring
- followbooleanDefault:
false - hogql_filterstring
- include_valuesbooleanDefault:
false - ip_addressesarrayDefault:
- is_systemboolean | null
- item_idsarrayDefault:
- orderingstringDefault:
-created_atOne of:"-created_at""created_at" - pageinteger
- page_sizeintegerDefault:
100 - schemastringOne of:
"ocsf" - scopesarrayDefault:
- search_textstring
- start_datestring
- team_idsarrayDefault:
- usersarrayDefault:
- was_impersonatedboolean | null
Response
Example request
GET /api /organizations /:organization_id /advanced_activity_logsExample response
Status 200
RESPONSE
Retrieve org organizations advanced activity logs available filters
Organization-wide view of activity logs across every project in the organization.
Mounted at /api/organizations/<organization_id>/advanced_activity_logs/. Restricted to organization admins and owners.
Required API key scopes
activity_log:readResponse
Example request
GET /api /organizations /:organization_id /advanced_activity_logs /available_filtersExample response
Status 200
RESPONSE
Create org organizations advanced activity logs export
Organization-wide view of activity logs across every project in the organization.
Mounted at /api/organizations/<organization_id>/advanced_activity_logs/. Restricted to organization admins and owners.
Request parameters
- user
- team_idinteger | null
- organization_idstring | null
- was_impersonatedboolean | null
- is_systemboolean | null
- clientstring | null
- ip_addressstring | null
- activitystring
- item_idstring | null
- scopestring
- detail
- created_atstring
Response
Example request
POST /api /organizations /:organization_id /advanced_activity_logs /exportExample response
Status 200
RESPONSE
List all activity log
Required API key scopes
activity_log:readQuery parameters
- item_idstring
- orderingstringDefault:
-created_atOne of:"-created_at""created_at" - pageinteger
- page_sizeintegerDefault:
100 - scopestringOne of:
"Cohort""CrossProjectDashboard""DevGatewayToken""FeatureFlag""Person""Group""Insight""Plugin""PluginConfig""HogFunction""HogFlow""DataManagement""EventDefinition""PropertyDefinition""Notebook""GeneratedWidget""Canvas""Endpoint""EndpointVersion""Dashboard""Replay""Experiment""ExperimentHoldout""ExperimentSavedMetric""Survey""EarlyAccessFeature""SessionRecordingPlaylist""ReplayScanner""VisionAlertConfiguration""Comment""Team""Project""ErrorTrackingIssue""DataWarehouseExpression""DataWarehouseSavedQuery""LegalDocument""Organization""OrganizationDomain""IdentityProviderConfig""OrganizationMembership""Role""UserGroup""BatchExport""BatchImport""ExportedAsset""Integration""Annotation""Tag""TaggedItem""Subscription""PersonalAPIKey""ProjectSecretAPIKey""OAuthApplication""User""Action""AccountView""AlertConfiguration""Threshold""AlertSubscription""ExternalDataSource""ExternalDataSchema""Evaluation""EvaluationDirectory""LLMPrompt""LLMPromptLabel""LLMSkill""LLMTrace""AIGatewayCredit""WebAnalyticsFilterPreset""CustomerProfileConfig""Log""LogsAlertConfiguration""PlatformAlertConfiguration""LogsExclusionRule""LogsRetentionRule""TracesRetentionRule""DashboardWidget""ProductTour""Ticket""KnowledgeSource""KnowledgeLibrary""InstanceSetting""SignalReport""SignalScoutConfig""SignalTeamConfig""StreamlitApp""Metric""TableCertification""DataQualityCheck""DataQualityCheckSchedule""WarehouseSuggestion""AccessControl""DataWarehouseTable""DataWarehouseJoin""Billing""Loop""StamphogRepoConfig""ReviewRepository""ReviewProjectSettings""ReviewInstallationClaim" - scopesarray
- userstring
Response
Example request
GET /api /projects /:project_id /activity_logExample response
Status 200
RESPONSE











